org.apache.tinkerpop.gremlin.process.traversal.step.util.event

## Class Event.ElementPropertyEvent

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event.ElementPropertyEvent

- All Implemented Interfaces:
    Event
  Direct Known Subclasses:
    Event.EdgePropertyRemovedEvent, Event.ElementPropertyChangedEvent, Event.VertexPropertyPropertyRemovedEvent
  Enclosing interface:
    Event

      public abstract static class Event.ElementPropertyEvent
      extends Object
      implements Event

  A base class for `Property` mutation events.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event

      `Event.EdgeAddedEvent, Event.EdgePropertyChangedEvent, Event.EdgePropertyRemovedEvent, Event.EdgeRemovedEvent, Event.ElementPropertyChangedEvent, Event.ElementPropertyEvent, Event.VertexAddedEvent, Event.VertexPropertyChangedEvent, Event.VertexPropertyPropertyChangedEvent, Event.VertexPropertyPropertyRemovedEvent, Event.VertexPropertyRemovedEvent, Event.VertexRemovedEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementPropertyEvent(Element element, Property oldValue, Object newValue, Object... vertexPropertyKeyValues)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fireEvent(Iterator<MutationListener> eventListeners)` An `Event` publishes its action to all the event `MutationListener` objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementPropertyEvent

          public ElementPropertyEvent(Element element,
                                      Property oldValue,
                                      Object newValue,
                                      Object... vertexPropertyKeyValues)

  - ### Method Detail

    - #### fireEvent

          public void fireEvent(Iterator<MutationListener> eventListeners)

      Description copied from interface: `Event`
      An `Event` publishes its action to all the event `MutationListener` objects.
      Specified by:
        `fireEvent` in interface `Event`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.